Comments
Comments allow users to provide feedback, ask questions, and engage in discussions about specific Ideas. These comments serve as a way for users to collaborate and share thoughts on product features a
Comment object
Endpoints
Returns a list of comments for a specific idea
API key in Authorization header with Bearer prefix (recommended)
IDX of the Idea
Limits the number of items on a page (min: 1, max: 100)
20The after cursor - used for pagination
Specify which types of items to include in the response. Accepts a pipe or comma-separated list of types: 'comments' and/or 'notes'. Examples: 'comments', 'notes', 'comments|notes', 'comments,notes'. Default: 'comments'
commentsExample: comments|notesReturned a list of Comments
Invalid request
Resource not found
GET /v1/comments?idea_idx=text HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"idx": "comment_abcd1234",
"message": "This is a great idea!",
"content": [
{
"type": "paragraph",
"children": [
{
"text": "This is a great idea!"
}
]
}
],
"content_html": "<p>This is a great idea!</p>",
"content_markdown": "This is a great idea!",
"is_private": true,
"type": "text",
"created_at": "text",
"updated_at": "text",
"follower": {
"idx": "follower_abcd1234",
"name": "John Smith",
"avatar": "https://example.com/example.jpg"
},
"idea_id": 1,
"attachments": [
{
"idx": "comment_attachment_abcd1234",
"name": "screenshot.png",
"url": "https://cdn.frill.co/files/example.png",
"type": "image/png",
"created_at": "text",
"updated_at": "text"
}
]
}
],
"pagination": {
"total": 10,
"before": "before-cursor",
"after": "after-cursor"
}
}Create a new comment for an idea
API key in Authorization header with Bearer prefix (recommended)
IDX of the comment author (follower)
Comment message content
IDX of the idea to comment on
Whether the comment should be private (note) or public (comment)
Returns Comment
Invalid request
Resource not found
POST /v1/comments HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 74
{
"author_idx": "text",
"message": "text",
"idea_idx": "text",
"is_private": true
}{
"data": {
"idx": "comment_abcd1234",
"message": "This is a great idea!",
"content": [
{
"type": "paragraph",
"children": [
{
"text": "This is a great idea!"
}
]
}
],
"content_html": "<p>This is a great idea!</p>",
"content_markdown": "This is a great idea!",
"is_private": true,
"type": "text",
"created_at": "text",
"updated_at": "text",
"follower": {
"idx": "follower_abcd1234",
"name": "John Smith",
"avatar": "https://example.com/example.jpg"
},
"idea_id": 1,
"attachments": [
{
"idx": "comment_attachment_abcd1234",
"name": "screenshot.png",
"url": "https://cdn.frill.co/files/example.png",
"type": "image/png",
"created_at": "text",
"updated_at": "text"
}
]
}
}Update an existing comment
API key in Authorization header with Bearer prefix (recommended)
IDX of the Comment
Updated comment message content
Returns Comment
Invalid request
Resource not found
POST /v1/comments/{commentIdx} HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 18
{
"message": "text"
}{
"data": {
"idx": "comment_abcd1234",
"message": "This is a great idea!",
"content": [
{
"type": "paragraph",
"children": [
{
"text": "This is a great idea!"
}
]
}
],
"content_html": "<p>This is a great idea!</p>",
"content_markdown": "This is a great idea!",
"is_private": true,
"type": "text",
"created_at": "text",
"updated_at": "text",
"follower": {
"idx": "follower_abcd1234",
"name": "John Smith",
"avatar": "https://example.com/example.jpg"
},
"idea_id": 1,
"attachments": [
{
"idx": "comment_attachment_abcd1234",
"name": "screenshot.png",
"url": "https://cdn.frill.co/files/example.png",
"type": "image/png",
"created_at": "text",
"updated_at": "text"
}
]
}
}Delete an existing comment
API key in Authorization header with Bearer prefix (recommended)
IDX of the Comment
Request was successful
Request was successfulInvalid request
Resource not found
DELETE /v1/comments/{commentIdx} HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true,
"message": "Request was successful"
}Last updated